%global momorel 2
%global qtver 3.3.3
%global kdever 3.3.2
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: A tool for making greeting cards easily
Name: kreetingkard
Version: 0.5.0
Release: %{momorel}m
License: GPL
URL: http://linux-life.net/program/cc/kde/app/kreetingkard/
Group: Applications/Publishing
%NoSource 0 http://downloads.sourceforge.jp/kreetingkard/12276/%{name}-%{version}.tar.gz ba041108f68045e5a8c0a1c27c644879
Source1: %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}
Requires: lha
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: desktop-file-utils

%description
A tool for making greeting cards easily.

%prep
%setup -q -n %{name}

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/kreetingkard.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kreetingkard.png %{buildroot}%{_datadir}/pixmaps/kreetingkard.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Office \
  --add-category Qt \
  --add-category KDE \
  --add-category Application \
  %{buildroot}%{_datadir}/applnk/Utilities/kreetingkard.desktop

# # remove directories of original desktop file
# rm -rf %{buildroot}%{_datadir}/applnk/Utilities

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING INSTALL
%{_bindir}/kreetingkard
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/kreetingkard
%{_datadir}/doc/HTML/*/kreetingkard
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/kreetingkard.png

%changelog
* Wed Feb  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-2m)
- Requires: lha

* Wed Feb  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- initial package
- import Source1: kreetingkard-48.png from UT Extra Packages for Mandrake